// Wma.cpp: CWma NX̃Cve[V
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "Wma.h"

#define	DLL_FILENAME	"wmaudsdk.dll"

typedef struct _tag_ENCOUTPARAM
{
	INT		iCoder;
	DWORD	dwBitRate;
	DWORD	dwBitRateHigh;
	DWORD	dwSampleRate;
	DWORD	dwNumChannels;
	INT		iMPGEVbr;
	BOOL	fMPGENopsy;
	BOOL	fMPGELpf;
} ENCOUTPARAM, *PENCOUTPARAM;


//////////////////////////////////////////////////////////////////////
// \z/
//////////////////////////////////////////////////////////////////////

// RXgN^
CWma::CWma()
{
	m_hModule=NULL;

	
	if(m_hModule != NULL){
		//PrintError("Already initialized.");
		return;// false;//E_FAIL;
	}

	m_hModule = LoadLibrary(DLL_FILENAME);
	if(m_hModule == NULL){
		//PrintError("failed to load DLL.\n");
		return;// false;//E_FAIL;
	}
	m_WMAudioCreateWriter = (fpWMAudioCreateWriter)
		GetProcAddress(m_hModule, "WMAudioCreateWriter");
	if(m_WMAudioCreateWriter == NULL){
		//PrintError("failed to resolve WMAudioCreateWriter");
		return;// false;//E_FAIL;
	}
	//strncpy(pszInfoText, "WMA encoder is initialized.", cchText);
	//return NOERROR;
}

// fXgN^
CWma::~CWma()
{
	m_WMAudioCreateWriter = NULL;
	if(m_hModule != NULL){
		FreeLibrary(m_hModule);
		m_hModule = NULL;
	}

}
