// Mp3Thread.cpp : Cve[V t@C
//

#include "stdafx.h"
#include "srec.h"
#include "SRecDlg.h"
#include "Mp3Thread.h"

#include "gogo/musenc.h"	// ߌ
#include "Wma.h"	// WMA

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


long g_nTotalFrame;
long g_nCurFrame;

CSRecDlg* g_pSRecDlg;

CWma g_Wma;

BOOL g_bDone;
BOOL g_bAutoDelete;

#define NOMALIZE_BUFF_SIZE 65536
short g_NomalizeBuff[NOMALIZE_BUFF_SIZE];

bool WavNormalize(CString strWavFilename, ULONG nPeak);
bool WavSmplRateConv(CString strWavFilename, ULONG nSmplRate);
bool changeTimestamp(CString strWavFilename, ULONG nTimestamp);
bool Mp3Encode(CString strWavFilename, const SGogoSetting& GogoSetting);
bool WmaEncode(CString strWavFilename, const SGogoSetting& GogoSetting);
void Mp3FileOpen(CString strFilename, const SGogoSetting& GogoSetting);
void Mp3FileClose();


/////////////////////////////////////////////////////////////////////////////
// ֐


// MP3 ȊOɂ KƂTvO[gϊƂ WMA Ƃ

UINT Mp3ThreadProc(LPVOID pParam)
{
	bool bRet;
	int nCount;

	g_pSRecDlg = (CSRecDlg*)pParam;

	// do something with 'pObject'
	
	g_bDone = FALSE;
	g_bAutoDelete = FALSE;

	CSingleLock sLockEvent(&(g_pSRecDlg->m_Event));
	CSingleLock sLock(&(g_pSRecDlg->m_Mutex));

	while (!g_bDone) {
		sLockEvent.Lock();
		sLockEvent.Unlock();

		do {
			// GR[hWAVt@C҂s
			// 擪ɂt@C擾B
			sLock.Lock();
			nCount = g_pSRecDlg->m_strAryWavFilename.GetSize();
			if ( nCount == 0 ) {
				// ̂ɂɂIĂƁB
				g_bDone = TRUE;
				break;
			}
			CString strWavFilename = g_pSRecDlg->m_strAryWavFilename[0];
			UINT    nPeak          = g_pSRecDlg->m_uintAryWavPeak[0];
			UINT    nTimestamp     = g_pSRecDlg->m_uintAryTimestamp[0];
			sLock.Unlock();
			
			if ( g_pSRecDlg->m_bCheckNormalize ) {

				// X^[fWIW (!?)
				if ( g_pSRecDlg->m_nNormalizeLevel != 0 ) {
					nPeak = g_pSRecDlg->m_nNormalizeLevel;
				}

				if ( nPeak != 0 ) {
					bRet = WavNormalize(strWavFilename, nPeak);
					if ( bRet == false ) {
						CString strErr;
						strErr.Format(_T("WAVKɃG[܂"));
						MessageBox(NULL,strErr,NULL,MB_ICONWARNING);
					}
				}
			}
			if ( g_pSRecDlg->m_bCheck4844 ) {
				bRet = ::WavSmplRateConv(strWavFilename, 44100);
				if ( bRet == false ) {
					CString strErr;
					strErr.Format(_T("TvO[gϊɃG[܂"));
					MessageBox(NULL,strErr,NULL,MB_ICONWARNING);
				}
			}
			if ( g_pSRecDlg->m_bCheckMp3 ) {
				bRet = Mp3Encode(strWavFilename,g_pSRecDlg->m_GogoSetting);
				if ( bRet == false ) {
					CString strErr;
					strErr.Format(_T("GR[hɃG[܂"));
					MessageBox(NULL,strErr,NULL,MB_ICONWARNING);
				}
			}
			if ( g_pSRecDlg->m_bCheckWma ) {
				bRet = WmaEncode(strWavFilename,g_pSRecDlg->m_GogoSetting);
				if ( bRet == false ) {
					CString strErr;
					strErr.Format(_T("WMAGR[hɃG[܂"));
					MessageBox(NULL,strErr,NULL,MB_ICONWARNING);
				}
			}
			if ( g_pSRecDlg->m_bCheckTimestamp ) {
				CString strMp3Filename = strWavFilename.Left(strWavFilename.GetLength()-3) + "mp3";
				changeTimestamp(strWavFilename, nTimestamp);
				changeTimestamp(strMp3Filename, nTimestamp);

				/*
				if ( bRet == false ) {
					CString strErr;
					strErr.Format(_T("^CX^vύXɃG[܂"));
					MessageBox(NULL,strErr,NULL,MB_ICONWARNING);
				}
				*/
			}

			{
				// GR[hWAVt@C҂s񂩂폜

				sLock.Lock();
				{
					if ( g_pSRecDlg->m_bCheckWav == false ) {
						remove(g_pSRecDlg->m_strAryWavFilename[0]);
					}
					
					g_pSRecDlg->m_strAryWavFilename.RemoveAt(0);
					g_pSRecDlg->m_uintAryWavPeak.RemoveAt(0);
					g_pSRecDlg->m_uintAryTimestamp.RemoveAt(0);
					
					nCount = g_pSRecDlg->m_strAryWavFilename.GetSize();
					
					CString strCount;
					strCount.Format("%d",nCount);
					g_pSRecDlg->m_editMp3Countdown.SetWindowText(strCount);
				}
				sLock.Unlock();

				g_pSRecDlg->m_prgrNormalize.SetPos(0);
				g_pSRecDlg->m_prgr4844.SetPos(0);
				g_pSRecDlg->m_prgrMp3.SetPos(0);
			}
		} while (nCount);

		if ( g_pSRecDlg->m_nTimerStatus == 3 ) {
			// ^C}Ř^I
			if ( g_pSRecDlg->m_bCheckPowerdown ) {
				// df`FbNĂȂ

				// ؂Ă֐ĂԂ悤Post.
				//  WAVE ĂAG[ɂȂB
				// \XbhɂĂȂƁB
				g_pSRecDlg->PostMessage(WM_MP3THREADEND);
			}
		}
	}
	return 0;   // thread completed successfully
}

/////////////////////////////////////////////////////////////////////////////
// K֐

bool WavNormalize(CString strWavFilename, ULONG nPeak)
{
	CString strTmpFilename;
	const size_t szHeader = 0x14 + sizeof(WAVEFORMATEX)-2 + 4*2 ;
	size_t nLen;
	FILE *sfp = NULL;
	FILE *dfp = NULL;

	strTmpFilename = strWavFilename + ".tmp";
	sfp = fopen(strWavFilename,"rb");
	dfp = fopen(strTmpFilename,"wb");

	if ( sfp != NULL && dfp != NULL ) {
		// WAVwb_
		fread(g_NomalizeBuff,1,szHeader,sfp);
		fwrite(g_NomalizeBuff,1,szHeader,dfp);

		// vOXo[̏
		ULONG nAllLen = *((ULONG*)(g_NomalizeBuff+(0x28/2))); // AKȃ|C^̎gB
		g_pSRecDlg->m_prgrNormalize.SetRange(0,(short)(nAllLen/2/NOMALIZE_BUFF_SIZE));
		g_pSRecDlg->m_prgrNormalize.SetPos(0);

		// 
		long nTmp;
		while ( !feof(sfp) ) {
			nLen = fread(g_NomalizeBuff,2,NOMALIZE_BUFF_SIZE,sfp);
			if ( nLen == 0 ) break;

			// Normalize Loop
			// Ⴂ̓AZugł˂B
			// AȂ񂩁ACPUĂ˂ĊB
			// ܂AǂALANZX҂̎Ԃ̂قB
			short* p;
			for ( p=g_NomalizeBuff ; p<g_NomalizeBuff+nLen ; p++ ) {
				nTmp = (*p*32767)/(long)nPeak;
				if ( nTmp >  32767 ) nTmp =  32767;
				if ( nTmp < -32768 ) nTmp = -32768;
				*p = (short)nTmp;
			}
			fwrite(g_NomalizeBuff,2,nLen,dfp);
			// vOXo[i߂
			g_pSRecDlg->m_prgrNormalize.OffsetPos(1);

			// ƂȂ肷邩B(ishihara)
			Sleep(0);
		}
	}

	if ( dfp != NULL ) fclose(dfp);
	if ( sfp != NULL ) fclose(sfp);

	if ( sfp != NULL && dfp != NULL ) {
		remove(strWavFilename);
		rename(strTmpFilename, strWavFilename);
	}
	
	return true;
}

// ̊֐ unaz ɍĂ܂B
bool WavSmplRateConv(CString strWavFilename, ULONG nSmplRate)
{
	// nSmplRate  44100 ȂłAꉞAɂƂ܂B
	//if ( nSmplRate != 44100 ) return false;

	// TvO[gϊ
	CString strTmpFilename;
	const size_t szHeader = 0x14 + sizeof(WAVEFORMATEX)-2 + 4*2 ;
	//size_t nLen;
	FILE *stream = NULL;
	FILE *outstream = NULL;
	unsigned char table[200];
	unsigned char list[0x30];
	unsigned long filesize[1];
	signed short llist[4000];
	signed short outlist[4000];
	float lsabun,rsabun;
	float lsabun147,rsabun147;
	int i,j,l,m;
	int numread;
	char inbuf[32768];
	char outbuf[32768];


	//Ȃe[u`BĎvȂ񂾂BExcelŌvZ܂i΂jB
	table[0]=0;
	table[1]=13;
	table[2]=26;
	table[3]=39;
	table[4]=52;
	table[5]=65;
	table[6]=78;
	table[7]=91;
	table[8]=104;
	table[9]=117;
	table[10]=130;
	table[11]=143;
	table[12]=200;
	table[13]=9;
	table[14]=22;
	table[15]=35;
	table[16]=48;
	table[17]=61;
	table[18]=74;
	table[19]=87;
	table[20]=100;
	table[21]=113;
	table[22]=126;
	table[23]=139;
	table[24]=200;
	table[25]=5;
	table[26]=18;
	table[27]=31;
	table[28]=44;
	table[29]=57;
	table[30]=70;
	table[31]=83;
	table[32]=96;
	table[33]=109;
	table[34]=122;
	table[35]=135;
	table[36]=200;
	table[37]=1;
	table[38]=14;
	table[39]=27;
	table[40]=40;
	table[41]=53;
	table[42]=66;
	table[43]=79;
	table[44]=92;
	table[45]=105;
	table[46]=118;
	table[47]=131;
	table[48]=144;
	table[49]=200;
	table[50]=10;
	table[51]=23;
	table[52]=36;
	table[53]=49;
	table[54]=62;
	table[55]=75;
	table[56]=88;
	table[57]=101;
	table[58]=114;
	table[59]=127;
	table[60]=140;
	table[61]=200;
	table[62]=6;
	table[63]=19;
	table[64]=32;
	table[65]=45;
	table[66]=58;
	table[67]=71;
	table[68]=84;
	table[69]=97;
	table[70]=110;
	table[71]=123;
	table[72]=136;
	table[73]=200;
	table[74]=2;
	table[75]=15;
	table[76]=28;
	table[77]=41;
	table[78]=54;
	table[79]=67;
	table[80]=80;
	table[81]=93;
	table[82]=106;
	table[83]=119;
	table[84]=132;
	table[85]=145;
	table[86]=200;
	table[87]=11;
	table[88]=24;
	table[89]=37;
	table[90]=50;
	table[91]=63;
	table[92]=76;
	table[93]=89;
	table[94]=102;
	table[95]=115;
	table[96]=128;
	table[97]=141;
	table[98]=200;
	table[99]=7;
	table[100]=20;
	table[101]=33;
	table[102]=46;
	table[103]=59;
	table[104]=72;
	table[105]=85;
	table[106]=98;
	table[107]=111;
	table[108]=124;
	table[109]=137;
	table[110]=200;
	table[111]=3;
	table[112]=16;
	table[113]=29;
	table[114]=42;
	table[115]=55;
	table[116]=68;
	table[117]=81;
	table[118]=94;
	table[119]=107;
	table[120]=120;
	table[121]=133;
	table[122]=146;
	table[123]=200;
	table[124]=12;
	table[125]=25;
	table[126]=38;
	table[127]=51;
	table[128]=64;
	table[129]=77;
	table[130]=90;
	table[131]=103;
	table[132]=116;
	table[133]=129;
	table[134]=142;
	table[135]=200;
	table[136]=8;
	table[137]=21;
	table[138]=34;
	table[139]=47;
	table[140]=60;
	table[141]=73;
	table[142]=86;
	table[143]=99;
	table[144]=112;
	table[145]=125;
	table[146]=138;
	table[147]=200;
	table[148]=4;
	table[149]=17;
	table[150]=30;
	table[151]=43;
	table[152]=56;
	table[153]=69;
	table[154]=82;
	table[155]=95;
	table[156]=108;
	table[157]=121;
	table[158]=134;
	table[159]=200;
	//ȏB

	strTmpFilename = strWavFilename + ".tmp";
	stream = fopen(strWavFilename,"rb");
	outstream = fopen(strTmpFilename,"wb");

    setvbuf( stream, inbuf, _IOFBF, sizeof( inbuf ) );
    setvbuf( outstream, outbuf, _IOFBF, sizeof( outbuf ) );
    
	if ( stream != NULL && outstream != NULL ) {
		// WAVwb_
		fread(g_NomalizeBuff,1,szHeader,stream);
//		fwrite(g_NomalizeBuff,1,szHeader,dfp);//AŃ[gƂTCYƂς܂ȁB

		// vOXo[̏
		ULONG nAllLen = *((ULONG*)(g_NomalizeBuff+(0x28/2))); // AKȃ|C^̎gBiłH悭킩܂j
		g_pSRecDlg->m_prgr4844.SetRange(0,(short)(nAllLen/2/3200));//setrange32Ċ֐vc++5.0ɂ͂Ȃł...xl܂B
		g_pSRecDlg->m_prgr4844.SetPos(0);


		//--------------------------
		rewind(stream);//ɃGKgłȂ...
		numread = fread( list, sizeof( char ), 0x2b, stream );

		list[25]=0xAC;
		list[24]=0x44;
	
		//BPSύXE
		list[31]=0x00;
		list[30]=0x02;
		list[29]=0xB1;
		list[28]=0x10;
	
		fwrite( list, sizeof( char ), 0x2c, outstream );

		fseek(stream,0x2c,SEEK_SET);
	
		filesize[0]=0;
		while(!feof(stream)) {
			fread( llist, sizeof( signed short ), 3200, stream );

			m=l=0;
			for(j=0;j<10;j++) {
			for(i=0; i<159; i++) {
				if(table[i]!=200) {
					rsabun=(float)(llist[m*2+2]-llist[m*2]);
					rsabun147=(rsabun/147);
					outlist[l]=(signed short)(llist[m*2]+rsabun147*table[i]);
					l++;
					lsabun=(float)(llist[m*2+3]-llist[m*2+1]);
					lsabun147=(lsabun/147);
					outlist[l]=(signed short)(llist[m*2+1]+lsabun147*table[i]);
					l++;
				}
				m++;
			}
			m++;
			}
			fwrite( outlist, sizeof( short ), 1470*2, outstream );
			filesize[0]=filesize[0]+5880;
			// vOXo[i߂
			g_pSRecDlg->m_prgr4844.OffsetPos(1);

			// ƂȂ肷邩B(ishihara)
			Sleep(0);
		}
	
		fseek(outstream,0x28,SEEK_SET);
		fwrite( filesize, sizeof( long ), 1, outstream );
	
		filesize[0]=filesize[0]+36;	

		fseek(outstream,0x04,SEEK_SET);
		fwrite( filesize, sizeof( long ), 1, outstream );
	}		
	if ( outstream != NULL ) fclose(outstream);
	if ( stream != NULL ) fclose(stream);

	if ( stream != NULL && outstream != NULL ) {
		remove(strWavFilename);
		rename(strTmpFilename, strWavFilename);
	}
	return true;
}

bool changeTimestamp(CString strWavFilename, ULONG nTimestamp)
{
	CFileStatus status;
	CFile::GetStatus(strWavFilename, status );
	status.m_mtime = CTime(nTimestamp);
	CFile::SetStatus(strWavFilename, status );

	return true;
}

/////////////////////////////////////////////////////////////////////////////
// MP3 ϊ ֐

bool Mp3Encode(CString strWavFilename, const SGogoSetting& GogoSetting)
{
	MERET rval;

	Mp3FileOpen(strWavFilename, GogoSetting);

	rval = ME_NOERR;
	while ( rval == ME_NOERR ) {
		// ̓Xg[ȂȂ(ME_EMPTYSTREAM) or 
		// ̑G[܂ŌJԂB
		rval = MPGE_processFrame();
		g_pSRecDlg->m_prgrMp3.StepIt();
	}

	if( rval == ME_EMPTYSTREAM ){
		// ̓Xg[ȂȂII
		Mp3FileClose();
		return true;
	}
	else {
		Mp3FileClose();
		return false;
	}
}

void Mp3FileOpen(CString strFilename, const SGogoSetting& GogoSetting)
{
	MERET	rval;

	// 1. DLLǂݍ&
	rval = MPGE_initializeWork();
	if( rval != ME_NOERR ) MessageBox(NULL,"ERROR",NULL,MB_ICONWARNING);

	// 2. t@C̐ݒ
	rval = MPGE_setConfigure( MC_INPUTFILE, MC_INPDEV_FILE, (UPARAM)((LPCTSTR)strFilename));
	if( rval != ME_NOERR ) MessageBox(NULL,"ERROR",NULL,MB_ICONWARNING);

	MPGE_setConfigure(MC_ENCODEMODE,GogoSetting.dwEncodeMode,0);
	MPGE_setConfigure(MC_BITRATE,GogoSetting.dwBitRate,0);
	MPGE_setConfigure(MC_USEPSY,GogoSetting.dwUsePsy,0);
	MPGE_setConfigure(MC_USELPF16,GogoSetting.dwUseLpf16,0);
	MPGE_setConfigure(MC_EMPHASIS,GogoSetting.dwEmphasis,0);
	if ( GogoSetting.bVbr ) {
		MPGE_setConfigure(MC_VBR,GogoSetting.dwVbr,0);
	}
	if ( GogoSetting.bOutFreq ) {
		MPGE_setConfigure(MC_OUTFREQ,GogoSetting.dwOutFreq,0);
	}
	
	// 3. p[^
	rval = MPGE_detectConfigure();
	if( rval == ME_NOERR ){
		UPARAM	totalFrame;
		MPGE_getConfigure( MG_COUNT_FRAME, (UPARAM*)&totalFrame);

		TRACE("%d\n",totalFrame);
	}

	MPGE_getConfigure( MG_COUNT_FRAME, (UPARAM*)&g_nTotalFrame);
	g_nCurFrame = 0;

	g_pSRecDlg->m_prgrMp3.SetRange(0,(short)g_nTotalFrame);
	g_pSRecDlg->m_prgrMp3.SetStep(1);
}

void Mp3FileClose()
{
	// 5.GR[_[
	MPGE_closeCoder();

	// 6.DLLI & J
	MPGE_endCoder();
}

// MP3 ϊ ֐
/////////////////////////////////////////////////////////////////////////////

#define WMABUFFMAX 32768

bool WmaEncode(CString strWavFilename, const SGogoSetting& GogoSetting)
{
	WAVEFORMATEX *pWfxIn;
	IWMAudioWriter			*pIWMAudioWriter;

	HRESULT	hr;
	WCHAR	pszwOutFile[MAX_PATH];

	if(0 == MultiByteToWideChar(CP_ACP, 0, strWavFilename,
								strWavFilename.GetLength()+1,
								pszwOutFile, sizeof(pszwOutFile))){
		return false;
	}
	wcscat(pszwOutFile, L".wma");

	hr = g_Wma.m_WMAudioCreateWriter(pszwOutFile, &pIWMAudioWriter);
	if(FAILED(hr)) return false;

	FILE *fp;
	char buf[WMABUFFMAX];
	fp = fopen(strWavFilename,"rb");
	if ( fp != NULL ) {
		const size_t szHeader = 0x14 + sizeof(WAVEFORMATEX)-2 + 4*2 ;
		fread(buf,1,szHeader,fp);

		pWfxIn = (WAVEFORMATEX*)(buf+0x14);

		// vOXo[̏
		ULONG nAllLen = *((ULONG*)(buf+(0x28)));
		g_pSRecDlg->m_prgrMp3.SetRange(0,(short)(nAllLen/2/WMABUFFMAX));
		g_pSRecDlg->m_prgrMp3.SetPos(0);

		hr = pIWMAudioWriter->SetInputFormat(pWfxIn);
		if(FAILED(hr)) goto WmaEncode_Exception;

		hr = pIWMAudioWriter->SetOutputFormat(64*1000, 0, 2, 0);
		if(FAILED(hr)) goto WmaEncode_Exception;

		while (!feof(fp)) {
			DWORD dwLength = fread(buf,1,WMABUFFMAX,fp);
			hr = pIWMAudioWriter->WriteSample((BYTE*)buf, dwLength);
			if(FAILED(hr)) break;

			// vOXo[i߂
			g_pSRecDlg->m_prgrMp3.OffsetPos(1);
		}
	}

WmaEncode_Exception:
	hr = pIWMAudioWriter->Flush();
	if(FAILED(hr)) return false;

	if(pIWMAudioWriter != NULL){
		pIWMAudioWriter->Release();
		pIWMAudioWriter = NULL;
	}

	return true;
}



/////////////////////////////////////////////////////////////////////////////
// CMp3Thread bZ[W nh

