#include <windows.h>
#include <windowsx.h>
#include <winuser.h>
#include <stdio.h>
//#include "resource.h"
#include "musenc.h"

static	HINSTANCE	hModule = NULL;
typedef MERET (*me_init)(void);
typedef MERET (*me_setconf)(MPARAM mode, UPARAM dwPara1, UPARAM dwPara2 );
typedef MERET (*me_getconf)(MPARAM mode, void *para1 );
typedef MERET (*me_detect)();
typedef MERET (*me_procframe)();
typedef MERET (*me_close)();
typedef MERET (*me_end)();
typedef MERET (*me_getver)( unsigned long *vercode,  char *verstring );
typedef MERET (*me_haveunit)( unsigned long *unit );

static	me_init		mpge_init;
static  me_setconf	mpge_setconf;
static	me_getconf	mpge_getconf;
static	me_detect	mpge_detector;
static	me_procframe mpge_processframe;
static	me_close	mpge_close;
static	me_end		mpge_end;
static	me_getver	mpge_getver;
static	me_haveunit mpge_haveunit;

// DLL̓ǂݍ(ŏ1ڂ̂)ƃ[NGȀs܂B
// rukihena MERET	MPGE_initializeWork()
MERET	MPGE_initializeGogoDll()	// rukihena
{
	if( hModule == NULL ){
		// (DLLǂݍ܂ĂȂꍇ)
		// JgfBNgAysystemfBNgGOGO.DLL̓ǂݍ
		hModule = LoadLibrary("gogo.dll");
		if( hModule == NULL ){			// DLLȂꍇ
			#define Key		HKEY_CURRENT_USER
			#define SubKey "Software\\MarineCat\\GOGO_DLL"
			HKEY	hKey;
			DWORD	dwType, dwKeySize;
			LONG	lResult;
			static	char	*szName = "INSTPATH";
			char	szPathName[ _MAX_PATH + 8];
			dwKeySize = sizeof( szPathName );

			// WXgڂ HEY_CURENT_USER\Software\MarineCat\GOGO_DLLL[ȉ 
			// INSTPATH (REG_SZ)擾܂B
			if( RegOpenKeyEx(
					Key,
					SubKey,
					0,
					KEY_ALL_ACCESS,
					&hKey ) == ERROR_SUCCESS 
			){
				lResult = RegQueryValueEx(
					hKey,
					szName,
					0,
					&dwType,
					(BYTE *)szPathName,
					&dwKeySize);
				RegCloseKey(hKey);
				if( lResult == ERROR_SUCCESS && REG_SZ == dwType ){
					// WXg擾pXōēxDLL̓ǂݍ݂݂
					hModule = LoadLibrary( szPathName );
				}
			}
		}
		// DLLȂ
		if( hModule == NULL ){
//			MessageBox( "DLL̓ǂݍ݂s܂B\nDLLEXEt@CƓfBNg֕ʂĂ\n");
			// rukihena fprintf( stderr,"DLL̓ǂݍ݂s܂B\nDLLEXEt@CƓfBNg֕ʂĂ\n");
			// rukihena exit( -1 );
			return ME_INTERNALERROR;	// rukihena
		}
		
		// GNX|[g֐̎擾
		mpge_init = (me_init )GetProcAddress( hModule, "MPGE_initializeWork" );
		mpge_setconf = (me_setconf )GetProcAddress( hModule, "MPGE_setConfigure" );
		mpge_getconf = (me_getconf )GetProcAddress( hModule, "MPGE_getConfigure" );
		mpge_detector = (me_detect )GetProcAddress( hModule, "MPGE_detectConfigure" );
		mpge_processframe = (me_procframe )GetProcAddress( hModule, "MPGE_processFrame" );
		mpge_close   = (me_close )GetProcAddress( hModule, "MPGE_closeCoder" );
		mpge_end	 = (me_end )GetProcAddress( hModule, "MPGE_endCoder" );
		mpge_getver	 = (me_getver )GetProcAddress( hModule, "MPGE_getVersion" );
		mpge_haveunit= (me_haveunit )GetProcAddress( hModule, "MPGE_getUnitStates" );
	}

	// ׂĂ̊֐킩mF
	if( mpge_init && mpge_setconf && mpge_getconf &&
		mpge_detector && mpge_processframe && mpge_end && mpge_getver && mpge_haveunit )
		// rukihena return (mpge_init)();
		return ME_NOERR;	// rukihena

	// G[
	// rukihena fprintf( stderr, "DLL̓e𐳂ʂ邱Ƃo܂ł\n");
	FreeLibrary( hModule );
	hModule = NULL;
	// rukihena exit( -1 );
	return ME_INTERNALERROR;	// rukihena

	// rukihena return ME_NOERR;
}

MERET	MPGE_initializeWork()	// rukihena
{
	return (mpge_init)();
}

MERET	MPGE_setConfigure(MPARAM mode, UPARAM dwPara1, UPARAM dwPara2 )
{
	return (mpge_setconf)( mode, dwPara1, dwPara2 );
}

MERET	MPGE_getConfigure(MPARAM mode, void *para1 )
{
	return (mpge_getconf)( mode, para1 );
}

MERET	MPGE_detectConfigure()
{
	return (mpge_detector)();
}

MERET	MPGE_processFrame()
{
	return (mpge_processframe)();
}

MERET	MPGE_closeCoder()
{
	return (mpge_close)();
}

MERET	MPGE_endCoder()
{
	return (mpge_end)();
}

MERET	MPGE_FreeGogoDll()	// rukihena
{
	FreeLibrary( hModule );		// DLLJ
	hModule = NULL;
	return ME_NOERR;
}

MERET	MPGE_getVersion( unsigned long *vercode,  char *verstring )
{
	return (mpge_getver)( vercode, verstring );
}

MERET	MPGE_getUnitStates( unsigned long *unit)
{
	return	(mpge_haveunit)( unit );
}
